/*
 * Copyright 2013 Sam Elsharif
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package info.msxlaunchers.openmsx.launcher.ui.view.swing.component;

import info.msxlaunchers.openmsx.launcher.data.settings.constants.Language;
import info.msxlaunchers.openmsx.launcher.ui.view.swing.language.LanguageDisplayFactory;

import java.awt.Component;
import java.util.Map;

/**
 * @since v1.1
 * @author Sam Elsharif
 *
 */
public class YesNoAllConfirmationWindow
{
	private final ConfirmationWindow confirmationWindow;

	/**
	 * @param parent
	 * @param gameName
	 * @param language
	 * @param message
	 * @param rightToLeft
	 */
	public YesNoAllConfirmationWindow(Component parent, String gameName, Language language,
			String message, boolean rightToLeft)
	{
		Map<String,String> messages = LanguageDisplayFactory.getDisplayMessages(getClass(), language);

		String localizedTitle = messages.get("CONFIRM_REPLACE");
		String localizedMessage = "<html>\"" + gameName + "\" " + messages.get(message) + "</html>";
		String localizedButtonLabels[] = { messages.get("YES"), messages.get("YES_ALL"),
				messages.get("NO"), messages.get("NO_ALL"), messages.get("CANCEL") };

		confirmationWindow = new ConfirmationWindow(parent, localizedTitle, localizedMessage,
				localizedButtonLabels, rightToLeft);
	}

	/**
	 * @return
	 */
	public int displayAndGetResult()
	{
		return confirmationWindow.displayAndGetResult();
	}
}
